Subject: bug#26345: 25.1; vc-annotate in Git is unable to fully navigate the history if the file was moved

From: Dmitry Gutov <[email-masked]>
Date: Tue, 11 Apr 2017 02:25:55 +0300

On 10.04.2017 18:06, Wojciech Siewierski wrote:

> The error is gone but usability-wise not much has changed: now the
> vc-annotate buffer contains "fatal: no such path olddir/file.txt in
> master" after I finish my test scenario.

Hmm, you're right. It does, however, improve the following scenario:

C-x v g, j, p, n

I.e. you can move between revisions belonging to the old file name (with 
the next/previous commands), just not between different file names.

> I guess not much more can be done.

It probably can, but someone would have to work out the exact sequence 
of Git commands to do what we want.